SND_PCM_LIB_PREALLOC(9)

NAME
snd_pcm_lib_preallocate_pages_for_all - pre-allocation for continuous memory type (all substreams)

SYNOPSIS

int snd_pcm_lib_preallocate_pages_for_all(struct snd_pcm * pcm, int type, void * data, size_t size, size_t max);

ARGUMENTS

pcm
    the pcm instance

type
    DMA type (SNDRV_DMA_TYPE_*)

data
    DMA type dependent data

size
    the requested pre-allocation size in bytes

max
    the max. allowed pre-allocation size

DESCRIPTION

Do pre-allocation to all substreams of the given pcm for the specified DMA type.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT